Delete a private location

Base URL
https://{kibana_url}
  • DELETE /api/synthetics/private_locations/{id}
  • DELETE /s/{space_id}/api/synthetics/private_locations/{id}

Refer to Spaces for more information.

You must have all privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges. The API does not return a response body for deletion, but it will return an appropriate status code upon successful deletion. A location cannot be deleted if it has associated monitors in use. You must delete all monitors associated with the location before deleting the location.

Response

200

OK

Base URL
https://{kibana_url}